%global apiver  20120406
%global static  1
%global sasl    1
%global gnutls  1

Summary:        Powerful library for MIME messages and Internet messaging services
Name:           libvmime
Version:        0.9.2
Release:        0.9.20120406git%{?dist}
License:        GPLv3+
Group:          System Environment/Libraries
URL:            http://www.vmime.org/
# When using tarball from released upstream version:
# - http://downloads.sourceforge.net/vmime/%{name}-%{version}.tar.bz2
#
# When generating tarball package from upstream git:
# - git clone git://github.com/kisli/vmime libvmime-0.9.2
# - cd libvmime-0.9.2; git checkout b5927243a27b30cad4b303308c953d6a2d48bc0b
# - rm -rf .git; cd ..; tar cvfj libvmime-0.9.2.tar.bz2 libvmime-0.9.2
# - Use the visible date of latest git log entry for %{release} in spec file
Source0:        %{name}-%{version}.tar.bz2
Provides:       %{name}(abi) = %{apiver}
BuildRequires:  sendmail, %{?sasl:libgsasl-devel}, %{?gnutls:gnutls-devel}
BuildRequires:  scons, libtool, autoconf, automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
VMime is a powerful C++ class library for working with MIME messages
and Internet messaging services like IMAP, POP or SMTP.

With VMime you can parse, generate and modify messages, and also
connect to store and transport services to receive or send messages
over the Internet. The library offers all the features to build a
complete mail client.

%package devel
Summary:        Development headers for the libvmime library
Group:          Development/Libraries
Provides:       %{name}(api) = %{apiver}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig, %{?sasl:libgsasl-devel}, %{?gnutls:gnutls-devel}
%if !0%{?static}
Obsoletes:      %{name}-static <= %{version}-%{release}
%endif

%description devel
The libvmime package contains header files and libraries necessary
for developing applications which use the libvmime C++ class library.

%if 0%{?static}
%package static
Summary:        Static library for the libvmime library
Group:          Development/Libraries
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description static
The libvmime-static package includes static libraries of the libvmime
library. Install it if you need to link statically with libvmime.
%endif

%prep
%setup -q
scons autotools

%build
export EXTRA_CFLAGS="$RPM_OPT_FLAGS"
%configure %{!?static:--disable-static}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' install

# Docs are available online and are installed in the wrong location
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/vmime/

# Don't install any libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vmime/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/vmime.pc

%if 0%{?static}
%files static
%defattr(-,root,root,-)
%{_libdir}/%{name}.a
%endif

%changelog
* Sun Dec 08 2013 Robert Scheck <robert@fedoraproject.org> 0.9.2-0.9.20120406git
- Downgrade to GIT 20120406 (#1008068)
- Added virtual provides libvmime(abi) and libvmime(api) for other packages as
  libvmime 0.9.2 does still not ensure any API/ABI compatibility for years now

* Mon Aug 05 2013 Robert Scheck <robert@fedoraproject.org> 0.9.2-0.8.20130324git
- Upgrade to GIT 20130324
- Added subpackage with static library for 3rd party developers (#746829)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-0.7.20130320git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 23 2013 Robert Scheck <robert@fedoraproject.org> 0.9.2-0.6.20130320git
- Upgrade to GIT 20130320 to fix building with latest GnuTLS (#914155)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-0.5.20110626svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-0.4.20110626svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-0.3.20110626svn
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-0.2.20110626svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 26 2011 Robert Scheck <robert@fedoraproject.org> 0.9.2-0.1.20110626svn
- Upgrade to SVN 20110626 (#671585)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Robert Scheck <robert@fedoraproject.org> - 0.9.1-1
- Upgrade to 0.9.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 17 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-3
- From feedback in review request (#494073, rsc)

* Tue Apr 07 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-2
- From feedback in review request (#494073)

* Sat Apr 04 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-1
- Initial Package
